Description

Note: In the interest of brevity and to make this easier to understand, I'll be jointly referring to fuel lines and struts simply as "lines".

There are a few issues in current versions of KSP which can make the use of lines frustrating and difficult to learn.

1. When placing lines, the secondary end does not snap to the grid. This can make placement very difficult, and with struts it can
cause stability problems.

2. Regardless of the secondary end, if the line intersects another part it becomes attached to it. The editor, however, always
shows the line as complete before you click to place the secondary end, which is misleading.

3. ltisn't possible to move the ends independent of one another. When moving a line, it's much more common to move just one
end, rather than both. It becomes especially frustrating when the line is in a difficult-to-place position, like between two

closely-spaced fuel

tanks.

4. Moving the part to which the fuel line or stut is attached can cause unpredictable and unexpected results. Most often this means
the line will simply not be connected any more, which is likely to be overlooked. Other times it will connect to a different part
than what you intended, which can be especially problematic for fuel lines as the cause of fuel flow problems would be difficult

to determine.

| propose a solution to all of these issues: storing both ends of the line as a separate part which share a unique identifier. Instead of
basing the position of the secondary end by calculating where the line first intersects with another part, KSP would simply use the

other part. In the editor you could use that same intersection code to validate part placement allll if the line intersects another part it
will show as unplaceable.

History

#1 - 04/12/2017 10:07 PM -

- Tracker changed from Feature to Feedback

rspeed

- Category changed from Parts to 81

This feature request appears to have been implemented in the current 1.3 prerelease.

#2 - 05/25/2018 08:29 PM -

- Status changed from New to Being Worked On

bewing

- Expansion Core Game added

Yes, this is how compound part endpoints work now. #4 didn't get implemented, though -- there is no visible indicator when a destination point is

illegal. So if you want to file a new feedback about that, feel free.

#3 - 05/25/2018 08:30 PM -

- Status changed from Being Worked On to Ready to Test

- Target version set to 1.3.1

#4 - 07/24/2019 11:53 PM -

- Status changed from Ready to Test to Resolved

04/23/2024

bewing

chris.fulton
#5 - 07/24/2019 11:53 PM - chris.fulton

- Status changed from Resolved to Closed
